package blatt7;

import java.sql.SQLException;
import java.util.List;

public class Guestbook {
	List<GuestbookEntry> entryList;
	GuestbookDatabase db;
	
	public Guestbook() throws Exception{
		db = new GuestbookDatabase();
		entryList = db.getEntries();
	}
	
	public void addEntry(String anAuthor, String aMessage){
		GuestbookEntry entry = new GuestbookEntry(anAuthor, aMessage);
		entryList.add(entry);
		try {
			db.saveEntry(entry);
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
	}
	
	public List<GuestbookEntry> getEntries(){
		return entryList;
	}
	
	public boolean isEmpty(){
		return entryList.isEmpty();
	}
	
	public static void main(String[] args) {
		try{
		Guestbook g = new Guestbook();
		g.addEntry("me", "foo");
		} catch (Exception e){
			e.printStackTrace();
		}
	}
}
