package blatt7;

import java.sql.Date;
import java.text.SimpleDateFormat;
/**Klasse fuer einen Eintrag
 * @author rguderlei
 *
 */ 
public class GuestbookEntry {
	private String author;
	private String message;
	private Date datum;
	
	public GuestbookEntry(String anAuthor, String aMessage){
		author = anAuthor;
		message = aMessage;
		datum = new Date(System.currentTimeMillis());
	}
	
	public GuestbookEntry(String anAuthor, String aMessage, Date aDate){
		author = anAuthor;
		message = aMessage;
		datum = aDate;
	}

	public String getAuthor() {
		return author;
	}

	public String getMessage() {
		return message;
	}
	
	public String getDateString(){
		SimpleDateFormat s = new SimpleDateFormat();
		return s.format(datum); 
	}
	
	public Date getDate(){
		return datum;
	}
	
}
